<?xml version="1.0" encoding="UTF-8"?>
<genmodel:GenModel xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:genmodel="http://www.eclipse.org/uml2/2.2.0/GenModel"
    modelDirectory="/org.polarsys.esf.riskanalysis.profile/src-gen"
    editDirectory="/org.polarsys.esf.riskanalysis.profile.edit/src-gen" modelPluginID="org.polarsys.esf.riskanalysis.profile"
    modelName="Riskanalysis" rootExtendsClass="org.eclipse.emf.ecore.impl.MinimalEObjectImpl$Container"
    testsDirectory="/org.polarsys.esf.riskanalysis.profile.tests/src-gen" importerID="org.eclipse.uml2.uml.ecore.importer"
    complianceLevel="8.0" copyrightFields="false" usedGenPackages="../../org.eclipse.emf.ecore/model/Ecore.genmodel#//ecore ../../org.eclipse.uml2.types/model/Types.genmodel#//types ../../org.eclipse.uml2.uml/model/UML.genmodel#//uml"
    operationReflection="true" importOrganizing="true">
  <genAnnotations source="http://www.eclipse.org/emf/2002/GenModel/importer/org.eclipse.uml2.uml.ecore.importer">
    <details key="OPPOSITE_ROLE_NAMES" value="IGNORE"/>
    <details key="DUPLICATE_FEATURES" value="DISCARD"/>
    <details key="ANNOTATION_DETAILS" value="PROCESS"/>
    <details key="PROPERTY_DEFAULT_EXPRESSIONS" value="IGNORE"/>
    <details key="DUPLICATE_FEATURE_INHERITANCE" value="DISCARD"/>
    <details key="COMMENTS" value="PROCESS"/>
    <details key="DERIVED_FEATURES" value="PROCESS"/>
    <details key="SUPER_CLASS_ORDER" value="PROCESS"/>
    <details key="DUPLICATE_OPERATION_INHERITANCE" value="DISCARD"/>
    <details key="REDEFINING_OPERATIONS" value="REPORT"/>
    <details key="INVARIANT_CONSTRAINTS" value="PROCESS"/>
    <details key="UNION_PROPERTIES" value="REPORT"/>
    <details key="DUPLICATE_OPERATIONS" value="DISCARD"/>
    <details key="NON_API_INVARIANTS" value="IGNORE"/>
    <details key="CAMEL_CASE_NAMES" value="IGNORE"/>
    <details key="SUBSETTING_PROPERTIES" value="REPORT"/>
    <details key="OPERATION_BODIES" value="IGNORE"/>
    <details key="ECORE_TAGGED_VALUES" value="PROCESS"/>
    <details key="UNTYPED_PROPERTIES" value="REPORT"/>
    <details key="REDEFINING_PROPERTIES" value="REPORT"/>
    <details key="INVOCATION_DELEGATES" value="IGNORE"/>
    <details key="VALIDATION_DELEGATES" value="IGNORE"/>
  </genAnnotations>
  <foreignModel>TaskBasedRiskAnalysis.profile.uml</foreignModel>
  <genPackages xsi:type="genmodel:GenPackage" prefix="Riskanalysis" basePackage="org.polarsys.esf"
      disposableProviderFactory="true" ecorePackage="riskanalysis.ecore#/">
    <genEnums xsi:type="genmodel:GenEnum" typeSafeEnumCompatible="false" ecoreEnum="riskanalysis.ecore#//OccurenceEstimation">
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="riskanalysis.ecore#//OccurenceEstimation/_1"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="riskanalysis.ecore#//OccurenceEstimation/_2"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="riskanalysis.ecore#//OccurenceEstimation/_3"/>
    </genEnums>
    <genEnums xsi:type="genmodel:GenEnum" typeSafeEnumCompatible="false" ecoreEnum="riskanalysis.ecore#//RiskEstimation">
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="riskanalysis.ecore#//RiskEstimation/_1"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="riskanalysis.ecore#//RiskEstimation/_2"/>
    </genEnums>
    <genEnums xsi:type="genmodel:GenEnum" typeSafeEnumCompatible="false" ecoreEnum="riskanalysis.ecore#//RiskIndex">
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="riskanalysis.ecore#//RiskIndex/_1"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="riskanalysis.ecore#//RiskIndex/_2"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="riskanalysis.ecore#//RiskIndex/_3"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="riskanalysis.ecore#//RiskIndex/_4"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="riskanalysis.ecore#//RiskIndex/_5"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="riskanalysis.ecore#//RiskIndex/_6"/>
    </genEnums>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="riskanalysis.ecore#//HazardAnalysis">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference riskanalysis.ecore#//HazardAnalysis/Task"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute riskanalysis.ecore#//HazardAnalysis/Origin"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute riskanalysis.ecore#//HazardAnalysis/HazardousSituation"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute riskanalysis.ecore#//HazardAnalysis/HazardousEvent"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute riskanalysis.ecore#//HazardAnalysis/PossibleHarm"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference riskanalysis.ecore#//HazardAnalysis/base_Operation"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute riskanalysis.ecore#//HazardAnalysis/Comment"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute riskanalysis.ecore#//HazardAnalysis/Initial_Occurence"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute riskanalysis.ecore#//HazardAnalysis/Initial_Avoidance"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute riskanalysis.ecore#//HazardAnalysis/Initial_Frequency"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute riskanalysis.ecore#//HazardAnalysis/Initial_Severity"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute riskanalysis.ecore#//HazardAnalysis/Initial_Criticality"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute riskanalysis.ecore#//HazardAnalysis/Initial_RiskReduction"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute riskanalysis.ecore#//HazardAnalysis/Final_Occurence"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute riskanalysis.ecore#//HazardAnalysis/Final_Avoidance"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute riskanalysis.ecore#//HazardAnalysis/Final_Frequency"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute riskanalysis.ecore#//HazardAnalysis/Final_Severity"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute riskanalysis.ecore#//HazardAnalysis/Final_Criticality"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute riskanalysis.ecore#//HazardAnalysis/Final_RiskReduction"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference riskanalysis.ecore#//HazardAnalysis/base_Property"/>
    </genClasses>
  </genPackages>
</genmodel:GenModel>
